Bug 247100 - crash in Exiv2
Summary: crash in Exiv2
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Metadata-Engine (show other bugs)
Version: 1.2.0
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-08 23:22 UTC by Marian-N. ION
Modified: 2020-08-30 15:45 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marian-N. ION 2010-08-08 23:22:31 UTC
Application: digikam (1.2.0)
KDE Platform Version: 4.4.5 (KDE 4.4.5)
Qt Version: 4.6.3
Operating System: Linux 2.6.33.6-147.2.4.fc13.i686.PAE i686
Distribution: "Fedora release 13 (Goddard)"

-- Information about the crash:
1) I was on Gnome
2) the prevous Digikam config was lost, the program was trying (I presume) to recreate the database from the pictures folder

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
__libc_enable_asynccancel () at ../nptl/cancellation.c:44
44	      if (__builtin_expect (curval == oldval, 1))
[Current thread is 1 (Thread 0xb789b7b0 (LWP 17562))]

Thread 21 (Thread 0xb62a7b70 (LWP 17569)):
[KCrash Handler]
#6  Exiv2::ValueType<unsigned short>::toLong (this=0x9d800d78, n=0) at value.hpp:1548
#7  0x05486bf5 in Exiv2::Exifdatum::toLong (this=<value optimized out>, n=<value optimized out>) at exif.cpp:407
#8  0x0242dc47 in KExiv2Iface::KExiv2::getImageOrientation (this=0xb62a6ebc) at /usr/src/debug/kdegraphics-4.4.5/libs/libkexiv2/libkexiv2/kexiv2image.cpp:275
#9  0x065c9a01 in Digikam::DMetadata::getMetadataField (this=0xb62a6ebc, field=Digikam::MetadataInfo::Orientation) at /usr/src/debug/digikam-1.2.0/libs/dmetadata/dmetadata.cpp:1163
#10 0x065cb84f in Digikam::DMetadata::getMetadataFields (this=0xb62a6ebc, fields=...) at /usr/src/debug/digikam-1.2.0/libs/dmetadata/dmetadata.cpp:1362
#11 0x057a3099 in Digikam::ImageScanner::scanImageInformation (this=0xb62a6eb4) at /usr/src/debug/digikam-1.2.0/libs/database/imagescanner.cpp:275
#12 0x057a71e8 in Digikam::ImageScanner::scanFile (this=0xb62a6eb4, mode=Digikam::ImageScanner::NewScan) at /usr/src/debug/digikam-1.2.0/libs/database/imagescanner.cpp:237
#13 0x057a73fe in Digikam::ImageScanner::newFile (this=0xb62a6eb4, albumId=77) at /usr/src/debug/digikam-1.2.0/libs/database/imagescanner.cpp:101
#14 0x05757076 in Digikam::CollectionScanner::scanNewFile (this=0xb62a7230, info=..., albumId=77) at /usr/src/debug/digikam-1.2.0/libs/database/collectionscanner.cpp:756
#15 0x05758694 in Digikam::CollectionScanner::scanAlbum (this=0xb62a7230, location=..., album=...) at /usr/src/debug/digikam-1.2.0/libs/database/collectionscanner.cpp:665
#16 0x0575851a in Digikam::CollectionScanner::scanAlbum (this=0xb62a7230, location=..., album=...) at /usr/src/debug/digikam-1.2.0/libs/database/collectionscanner.cpp:683
#17 0x05759339 in Digikam::CollectionScanner::scanAlbumRoot (this=0xb62a7230, location=...) at /usr/src/debug/digikam-1.2.0/libs/database/collectionscanner.cpp:479
#18 0x0575966f in Digikam::CollectionScanner::completeScan (this=0xb62a7230) at /usr/src/debug/digikam-1.2.0/libs/database/collectionscanner.cpp:250
#19 0x082c145e in Digikam::ScanController::run (this=0x8942730) at /usr/src/debug/digikam-1.2.0/digikam/scancontroller.cpp:541
#20 0x0699074f in QThreadPrivate::start (arg=0x8942730) at thread/qthread_unix.cpp:248
#21 0x0035e919 in start_thread (arg=0xb62a7b70) at pthread_create.c:301
#22 0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 20 (Thread 0xb556eb70 (LWP 17604)):
#0  0x003614bd in __pthread_mutex_unlock_usercnt (mutex=0xb3e004ec) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0xb3e004ec) at pthread_mutex_unlock.c:290
#2  0x00414030 in g_main_context_poll (context=0x361490, block=1, dispatch=1, self=0xb3e01928) at gmain.c:2903
#3  g_main_context_iterate (context=0x361490, block=1, dispatch=1, self=0xb3e01928) at gmain.c:2586
#4  0x00414449 in IA__g_main_context_iteration (context=0xb3e004e8, may_block=1) at gmain.c:2654
#5  0x06aaa47f in QEventDispatcherGlib::processEvents (this=0xb3e00468, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#6  0x06a8080a in QEventLoop::processEvents (this=0xb556e220, flags=...) at kernel/qeventloop.cpp:149
#7  0x06a80b4a in QEventLoop::exec (this=0xb556e220, flags=...) at kernel/qeventloop.cpp:201
#8  0x0698e2fe in QThread::exec (this=0x9065738) at thread/qthread.cpp:487
#9  0x057cd21e in Digikam::ImageFilterModelWorker::Thread::run (this=0x9065738) at /usr/src/debug/digikam-1.2.0/libs/models/imagefiltermodelthreads.h:66
#10 0x0699074f in QThreadPrivate::start (arg=0x9065738) at thread/qthread_unix.cpp:248
#11 0x0035e919 in start_thread (arg=0xb556eb70) at pthread_create.c:301
#12 0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 19 (Thread 0xb4b6db70 (LWP 17605)):
#0  0x00394df6 in clock_gettime (clock_id=1, tp=0xb4b6cf48) at ../sysdeps/unix/clock_gettime.c:100
#1  0x06aa76cb in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0x06aabdb6 in QTimerInfoList::updateCurrentTime (this=0xb4001a34) at kernel/qeventdispatcher_unix.cpp:340
#3  0x06aabdfb in QTimerInfoList::timerWait (this=0xb4001a34, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x06aaa688 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb4b6d05c) at kernel/qeventdispatcher_glib.cpp:136
#5  0x06aaa71d in timerSourcePrepare (source=0xb4001a00, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#6  0x00413a6a in IA__g_main_context_prepare (context=<value optimized out>, priority=0xb4b6d0dc) at gmain.c:2280
#7  0x00413e81 in g_main_context_iterate (context=0xb40004e8, block=1, dispatch=1, self=0xb4001b28) at gmain.c:2571
#8  0x00414449 in IA__g_main_context_iteration (context=0xb40004e8, may_block=1) at gmain.c:2654
#9  0x06aaa47f in QEventDispatcherGlib::processEvents (this=0xb4000468, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x06a8080a in QEventLoop::processEvents (this=0xb4b6d220, flags=...) at kernel/qeventloop.cpp:149
#11 0x06a80b4a in QEventLoop::exec (this=0xb4b6d220, flags=...) at kernel/qeventloop.cpp:201
#12 0x0698e2fe in QThread::exec (this=0x8ee1590) at thread/qthread.cpp:487
#13 0x057cd21e in Digikam::ImageFilterModelWorker::Thread::run (this=0x8ee1590) at /usr/src/debug/digikam-1.2.0/libs/models/imagefiltermodelthreads.h:66
#14 0x0699074f in QThreadPrivate::start (arg=0x8ee1590) at thread/qthread_unix.cpp:248
#15 0x0035e919 in start_thread (arg=0xb4b6db70) at pthread_create.c:301
#16 0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 18 (Thread 0xb3dffb70 (LWP 17606)):
#0  0x005db416 in __kernel_vsyscall ()
#1  0x0036222c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0x069916af in wait (this=0x8cc8ea0, mutex=0x8cc8e9c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x8cc8ea0, mutex=0x8cc8e9c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x065f2a5a in Digikam::LoadSaveThread::run (this=0x8cc8e90) at /usr/src/debug/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x0699074f in QThreadPrivate::start (arg=0x8cc8e90) at thread/qthread_unix.cpp:248
#6  0x0035e919 in start_thread (arg=0xb3dffb70) at pthread_create.c:301
#7  0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 17 (Thread 0xb33feb70 (LWP 17607)):
#0  0x00394df6 in clock_gettime (clock_id=1, tp=0xb33fdf68) at ../sysdeps/unix/clock_gettime.c:100
#1  0x06aa76cb in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0x06aabdb6 in QTimerInfoList::updateCurrentTime (this=0xb4003174) at kernel/qeventdispatcher_unix.cpp:340
#3  0x06aabdfb in QTimerInfoList::timerWait (this=0xb4003174, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x06aaa688 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb33fe07c) at kernel/qeventdispatcher_glib.cpp:136
#5  0x06aaa71d in timerSourcePrepare (source=0xb4003140, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#6  0x00413a6a in IA__g_main_context_prepare (context=<value optimized out>, priority=0xb33fe0fc) at gmain.c:2280
#7  0x00413e81 in g_main_context_iterate (context=0xb4001c40, block=1, dispatch=1, self=0xb4003268) at gmain.c:2571
#8  0x00414449 in IA__g_main_context_iteration (context=0xb4001c40, may_block=1) at gmain.c:2654
#9  0x06aaa47f in QEventDispatcherGlib::processEvents (this=0xb4001bc0, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x06a8080a in QEventLoop::processEvents (this=0xb33fe240, flags=...) at kernel/qeventloop.cpp:149
#11 0x06a80b4a in QEventLoop::exec (this=0xb33fe240, flags=...) at kernel/qeventloop.cpp:201
#12 0x0698e2fe in QThread::exec (this=0x8ab5488) at thread/qthread.cpp:487
#13 0x0699074f in QThreadPrivate::start (arg=0x8ab5488) at thread/qthread_unix.cpp:248
#14 0x0035e919 in start_thread (arg=0xb33feb70) at pthread_create.c:301
#15 0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 16 (Thread 0xb29fdb70 (LWP 17608)):
#0  0x003601fb in __pthread_mutex_lock (mutex=0xb3e01a44) at pthread_mutex_lock.c:61
#1  0x00413768 in IA__g_main_context_check (context=0xb3e01a40, max_priority=2147483647, fds=0xb3e02e90, n_fds=1) at gmain.c:2471
#2  0x00414066 in g_main_context_iterate (context=0x361490, block=1, dispatch=1, self=0xb3e02e68) at gmain.c:2588
#3  0x00414449 in IA__g_main_context_iteration (context=0xb3e01a40, may_block=1) at gmain.c:2654
#4  0x06aaa47f in QEventDispatcherGlib::processEvents (this=0xb3e019c0, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#5  0x06a8080a in QEventLoop::processEvents (this=0xb29fd240, flags=...) at kernel/qeventloop.cpp:149
#6  0x06a80b4a in QEventLoop::exec (this=0xb29fd240, flags=...) at kernel/qeventloop.cpp:201
#7  0x0698e2fe in QThread::exec (this=0x8d15708) at thread/qthread.cpp:487
#8  0x0699074f in QThreadPrivate::start (arg=0x8d15708) at thread/qthread_unix.cpp:248
#9  0x0035e919 in start_thread (arg=0xb29fdb70) at pthread_create.c:301
#10 0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 15 (Thread 0xab575b70 (LWP 17636)):
#0  0x005db416 in __kernel_vsyscall ()
#1  0x003625d4 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:236
#2  0x03362c25 in ?? () from /usr/lib/libxine.so.1
#3  0x0035e919 in start_thread (arg=0xab575b70) at pthread_create.c:301
#4  0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 14 (Thread 0xaa769b70 (LWP 17637)):
#0  0x005db416 in __kernel_vsyscall ()
#1  0x00274091 in select () at ../sysdeps/unix/syscall-template.S:82
#2  0x0338d9f9 in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x03371636 in ?? () from /usr/lib/libxine.so.1
#4  0x0035e919 in start_thread (arg=0xaa769b70) at pthread_create.c:301
#5  0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 13 (Thread 0xa9d68b70 (LWP 17638)):
#0  0x003614bd in __pthread_mutex_unlock_usercnt (mutex=0x8a7d244) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x8a7d244) at pthread_mutex_unlock.c:290
#2  0x00413734 in IA__g_main_context_check (context=0x8a7d240, max_priority=2147483647, fds=0x8bb11c8, n_fds=1) at gmain.c:2467
#3  0x00414066 in g_main_context_iterate (context=0x361490, block=1, dispatch=1, self=0x8a7d878) at gmain.c:2588
#4  0x00414449 in IA__g_main_context_iteration (context=0x8a7d240, may_block=1) at gmain.c:2654
#5  0x06aaa47f in QEventDispatcherGlib::processEvents (this=0x8f25b78, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#6  0x06a8080a in QEventLoop::processEvents (this=0xa9d681d0, flags=...) at kernel/qeventloop.cpp:149
#7  0x06a80b4a in QEventLoop::exec (this=0xa9d681d0, flags=...) at kernel/qeventloop.cpp:201
#8  0x0698e2fe in QThread::exec (this=0x8a7f058) at thread/qthread.cpp:487
#9  0x011010cb in Phonon::Xine::XineThread::run (this=0x8a7f058) at /usr/src/debug/phonon-4.4.2/xine/xinethread.cpp:143
#10 0x0699074f in QThreadPrivate::start (arg=0x8a7f058) at thread/qthread_unix.cpp:248
#11 0x0035e919 in start_thread (arg=0xa9d68b70) at pthread_create.c:301
#12 0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 12 (Thread 0xa9367b70 (LWP 17639)):
#0  0x005db416 in __kernel_vsyscall ()
#1  0x00270de6 in __poll (fds=0xb3e036e0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x02538ce3 in ?? () from /usr/lib/libpulse.so.0
#3  0x025254ca in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#4  0x02526d54 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#5  0x02526e34 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#6  0x02538a84 in ?? () from /usr/lib/libpulse.so.0
#7  0x0258d863 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#8  0x0035e919 in start_thread (arg=0xa9367b70) at pthread_create.c:301
#9  0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 11 (Thread 0xa4965b70 (LWP 17640)):
#0  0x005db416 in __kernel_vsyscall ()
#1  0x0036222c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0x03374e18 in ?? () from /usr/lib/libxine.so.1
#3  0x0035e919 in start_thread (arg=0xa4965b70) at pthread_create.c:301
#4  0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 10 (Thread 0xa3f64b70 (LWP 17641)):
#0  0x00413481 in IA__g_main_context_check (context=0xb4003390, max_priority=2147483647, fds=0xb4004b80, n_fds=1) at gmain.c:2400
#1  0x00414066 in g_main_context_iterate (context=0x361490, block=1, dispatch=1, self=0xb4004b58) at gmain.c:2588
#2  0x00414449 in IA__g_main_context_iteration (context=0xb4003390, may_block=1) at gmain.c:2654
#3  0x06aaa47f in QEventDispatcherGlib::processEvents (this=0xb4003310, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#4  0x06a8080a in QEventLoop::processEvents (this=0xa3f641d0, flags=...) at kernel/qeventloop.cpp:149
#5  0x06a80b4a in QEventLoop::exec (this=0xa3f641d0, flags=...) at kernel/qeventloop.cpp:201
#6  0x0698e2fe in QThread::exec (this=0x8ccc1a0) at thread/qthread.cpp:487
#7  0x016b528d in Marble::GpsdThread::run (this=0x8ccc1a0) at /usr/src/debug/kdeedu-4.4.5/marble/src/plugins/positionprovider/gpsd/GpsdThread.cpp:27
#8  0x0699074f in QThreadPrivate::start (arg=0x8ccc1a0) at thread/qthread_unix.cpp:248
#9  0x0035e919 in start_thread (arg=0xa3f64b70) at pthread_create.c:301
#10 0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 9 (Thread 0xa3563b70 (LWP 17642)):
#0  0x005db416 in __kernel_vsyscall ()
#1  0x0036222c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0x069916af in wait (this=0x8c5a898, mutex=0x8c5a894, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x8c5a898, mutex=0x8c5a894, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x065f2a5a in Digikam::LoadSaveThread::run (this=0x8c5a888) at /usr/src/debug/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x0699074f in QThreadPrivate::start (arg=0x8c5a888) at thread/qthread_unix.cpp:248
#6  0x0035e919 in start_thread (arg=0xa3563b70) at pthread_create.c:301
#7  0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 8 (Thread 0xa2b62b70 (LWP 17660)):
#0  0x005db416 in __kernel_vsyscall ()
#1  0x0036222c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0x069916af in wait (this=0xa7a5008, mutex=0xa7a5004, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xa7a5008, mutex=0xa7a5004, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x065f2a5a in Digikam::LoadSaveThread::run (this=0xa7a4ff8) at /usr/src/debug/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x0699074f in QThreadPrivate::start (arg=0xa7a4ff8) at thread/qthread_unix.cpp:248
#6  0x0035e919 in start_thread (arg=0xa2b62b70) at pthread_create.c:301
#7  0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 7 (Thread 0x9f95db70 (LWP 17661)):
#0  0x003601fb in __pthread_mutex_lock (mutex=0xb571ae6c) at pthread_mutex_lock.c:61
#1  0x00413aa3 in IA__g_main_context_prepare (context=<value optimized out>, priority=0x9f95d08c) at gmain.c:2282
#2  0x00413e81 in g_main_context_iterate (context=0xb571ae68, block=1, dispatch=1, self=0xb5712b78) at gmain.c:2571
#3  0x00414449 in IA__g_main_context_iteration (context=0xb571ae68, may_block=1) at gmain.c:2654
#4  0x06aaa47f in QEventDispatcherGlib::processEvents (this=0xb5713248, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#5  0x06a8080a in QEventLoop::processEvents (this=0x9f95d1d0, flags=...) at kernel/qeventloop.cpp:149
#6  0x06a80b4a in QEventLoop::exec (this=0x9f95d1d0, flags=...) at kernel/qeventloop.cpp:201
#7  0x0698e2fe in QThread::exec (this=0xa801ea8) at thread/qthread.cpp:487
#8  0x016b528d in Marble::GpsdThread::run (this=0xa801ea8) at /usr/src/debug/kdeedu-4.4.5/marble/src/plugins/positionprovider/gpsd/GpsdThread.cpp:27
#9  0x0699074f in QThreadPrivate::start (arg=0xa801ea8) at thread/qthread_unix.cpp:248
#10 0x0035e919 in start_thread (arg=0x9f95db70) at pthread_create.c:301
#11 0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 6 (Thread 0xa2161b70 (LWP 17662)):
#0  0x005db416 in __kernel_vsyscall ()
#1  0x0036222c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0x069916af in wait (this=0xa8902a0, mutex=0xa89029c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xa8902a0, mutex=0xa89029c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x065f2a5a in Digikam::LoadSaveThread::run (this=0xa890290) at /usr/src/debug/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x0699074f in QThreadPrivate::start (arg=0xa890290) at thread/qthread_unix.cpp:248
#6  0x0035e919 in start_thread (arg=0xa2161b70) at pthread_create.c:301
#7  0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 5 (Thread 0xa0d5fb70 (LWP 17683)):
#0  0x00394df6 in clock_gettime (clock_id=1, tp=0xa0d5eef8) at ../sysdeps/unix/clock_gettime.c:100
#1  0x06aa76cb in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0x06aabdb6 in QTimerInfoList::updateCurrentTime (this=0x9d8fe04c) at kernel/qeventdispatcher_unix.cpp:340
#3  0x06aabdfb in QTimerInfoList::timerWait (this=0x9d8fe04c, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x06aaa688 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xa0d5f00c) at kernel/qeventdispatcher_glib.cpp:136
#5  0x06aaa71d in timerSourcePrepare (source=0x9d8fe018, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#6  0x00413a6a in IA__g_main_context_prepare (context=<value optimized out>, priority=0xa0d5f08c) at gmain.c:2280
#7  0x00413e81 in g_main_context_iterate (context=0x9d8ff1b0, block=1, dispatch=1, self=0xb57443e0) at gmain.c:2571
#8  0x00414449 in IA__g_main_context_iteration (context=0x9d8ff1b0, may_block=1) at gmain.c:2654
#9  0x06aaa47f in QEventDispatcherGlib::processEvents (this=0xb57507f0, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x06a8080a in QEventLoop::processEvents (this=0xa0d5f1d0, flags=...) at kernel/qeventloop.cpp:149
#11 0x06a80b4a in QEventLoop::exec (this=0xa0d5f1d0, flags=...) at kernel/qeventloop.cpp:201
#12 0x0698e2fe in QThread::exec (this=0xbba0498) at thread/qthread.cpp:487
#13 0x016b528d in Marble::GpsdThread::run (this=0xbba0498) at /usr/src/debug/kdeedu-4.4.5/marble/src/plugins/positionprovider/gpsd/GpsdThread.cpp:27
#14 0x0699074f in QThreadPrivate::start (arg=0xbba0498) at thread/qthread_unix.cpp:248
#15 0x0035e919 in start_thread (arg=0xa0d5fb70) at pthread_create.c:301
#16 0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 4 (Thread 0x9d159b70 (LWP 17684)):
#0  0x005db416 in __kernel_vsyscall ()
#1  0x0036222c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0x069916af in wait (this=0xbc30718, mutex=0xbc30714, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xbc30718, mutex=0xbc30714, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x065f2a5a in Digikam::LoadSaveThread::run (this=0xbc30708) at /usr/src/debug/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x0699074f in QThreadPrivate::start (arg=0xbc30708) at thread/qthread_unix.cpp:248
#6  0x0035e919 in start_thread (arg=0x9d159b70) at pthread_create.c:301
#7  0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 3 (Thread 0xa035eb70 (LWP 17694)):
#0  0x005db416 in __kernel_vsyscall ()
#1  0x0036222c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0x069916af in wait (this=0xc804c1c, mutex=0xc804c18, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xc804c1c, mutex=0xc804c18, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x080fa9fd in Digikam::CameraController::run (this=0xc848330) at /usr/src/debug/digikam-1.2.0/utilities/cameragui/cameracontroller.cpp:328
#5  0x0699074f in QThreadPrivate::start (arg=0xc848330) at thread/qthread_unix.cpp:248
#6  0x0035e919 in start_thread (arg=0xa035eb70) at pthread_create.c:301
#7  0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 2 (Thread 0x9b356b70 (LWP 17710)):
#0  0x005db416 in __kernel_vsyscall ()
#1  0x0036222c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:169
#2  0x069916af in wait (this=0xc88b880, mutex=0xc88b87c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xc88b880, mutex=0xc88b87c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x080fff64 in Digikam::CameraHistoryUpdater::run (this=0xc88c150) at /usr/src/debug/digikam-1.2.0/utilities/cameragui/camerahistoryupdater.cpp:114
#5  0x0699074f in QThreadPrivate::start (arg=0xc88c150) at thread/qthread_unix.cpp:248
#6  0x0035e919 in start_thread (arg=0x9b356b70) at pthread_create.c:301
#7  0x0027bcbe in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133

Thread 1 (Thread 0xb789b7b0 (LWP 17562)):
#0  __libc_enable_asynccancel () at ../nptl/cancellation.c:44
#1  0x00270dd0 in __poll (fds=0xbfc68988, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:85
#2  0x001300c0 in ?? () from /usr/lib/libxcb.so.1
#3  0x00131d52 in xcb_wait_for_reply () from /usr/lib/libxcb.so.1
#4  0x0061eff6 in _XReply (dpy=0x880fe58, rep=0xbfc68ab0, extra=0, discard=1) at xcb_io.c:461
#5  0x00614002 in XTranslateCoordinates (dpy=0x880fe58, src_win=166, dest_win=96536276, src_x=602, src_y=545, dst_x=0xbfc68b2c, dst_y=0xbfc68b28, child=0xbfc68b24) at TrCoords.c:53
#6  0x07606786 in QWidget::mapFromGlobal (this=0xc6bf2a8, pos=...) at kernel/qwidget_x11.cpp:1324
#7  0x076067dc in QWidget::mapFromGlobal (this=0xd9127a8, pos=...) at kernel/qwidget_x11.cpp:1317
#8  0x076067dc in QWidget::mapFromGlobal (this=0x8d09498, pos=...) at kernel/qwidget_x11.cpp:1317
#9  0x076067dc in QWidget::mapFromGlobal (this=0xc42e9f0, pos=...) at kernel/qwidget_x11.cpp:1317
#10 0x07ab8257 in QAbstractItemView::verticalScrollbarValueChanged (this=0x8d09498, value=77) at itemviews/qabstractitemview.cpp:2624
#11 0x07abe1f8 in QAbstractItemView::qt_metacall (this=0x8d09498, _c=QMetaObject::InvokeMetaMethod, _id=26, _a=0xbfc68ec8) at .moc/release-shared/moc_qabstractitemview.cpp:244
#12 0x07b0b93b in QTreeView::qt_metacall (this=0x8d09498, _c=QMetaObject::InvokeMetaMethod, _id=57, _a=0xbfc68ec8) at .moc/release-shared/moc_qtreeview.cpp:119
#13 0x07b41efb in QTreeWidget::qt_metacall (this=0x8d09498, _c=QMetaObject::InvokeMetaMethod, _id=57, _a=0xbfc68ec8) at .moc/release-shared/moc_qtreewidget.cpp:129
#14 0x06a86bcb in QMetaObject::metacall (object=0x8d09498, cl=QMetaObject::InvokeMetaMethod, idx=57, argv=0xbfc68ec8) at kernel/qmetaobject.cpp:237
#15 0x06a95a75 in QMetaObject::activate (sender=0xd92dd20, m=0x7e69c94, local_signal_index=0, argv=0xbfc68ec8) at kernel/qobject.cpp:3295
#16 0x07c32a54 in QAbstractSlider::valueChanged (this=0xd92dd20, _t1=77) at .moc/release-shared/moc_qabstractslider.cpp:182
#17 0x07946316 in QAbstractSlider::setValue (this=0xd92dd20, value=<value optimized out>) at widgets/qabstractslider.cpp:539
#18 0x07b0b149 in QTreeView::scrollTo (this=0x8d09498, index=..., hint=QAbstractItemView::EnsureVisible) at itemviews/qtreeview.cpp:1149
#19 0x07b3eb9e in QTreeWidget::scrollToItem (this=0x8d09498, item=0xbfcb9f8, hint=QAbstractItemView::EnsureVisible) at itemviews/qtreewidget.cpp:3221
#20 0x066c4822 in Digikam::DProgressDlg::addedAction (this=0xc6bf2a8, itemPix=..., text=...) at /usr/src/debug/digikam-1.2.0/libs/dialogs/dprogressdlg.cpp:176
#21 0x082c1f57 in Digikam::ScanController::slotStartScanningAlbum (this=0x8942730, albumRoot=..., album=...) at /usr/src/debug/digikam-1.2.0/digikam/scancontroller.cpp:606
#22 0x082c54a9 in Digikam::ScanController::qt_metacall (this=0x8942730, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x9def0098)
    at /usr/src/debug/digikam-1.2.0/i686-redhat-linux-gnu/digikam/moc_scancontroller.cpp:120
#23 0x06a86bcb in QMetaObject::metacall (object=0x8942730, cl=QMetaObject::InvokeMetaMethod, idx=19, argv=0x9def0098) at kernel/qmetaobject.cpp:237
#24 0x06a91187 in QMetaCallEvent::placeMetaCall (this=0x9ded1690, object=0x8942730) at kernel/qobject.cpp:561
#25 0x06a9209e in QObject::event (this=0x8942730, e=0x9ded1690) at kernel/qobject.cpp:1248
#26 0x0756977c in QApplicationPrivate::notify_helper (this=0x880b070, receiver=0x8942730, e=0x9ded1690) at kernel/qapplication.cpp:4306
#27 0x075701d6 in QApplication::notify (this=0xbfc6c268, receiver=0x8942730, e=0x9ded1690) at kernel/qapplication.cpp:3710
#28 0x021c300b in KApplication::notify (this=0xbfc6c268, receiver=0x8942730, event=0x9ded1690) at /usr/src/debug/kdelibs-4.4.5/kdeui/kernel/kapplication.cpp:302
#29 0x06a82133 in QCoreApplication::notifyInternal (this=0xbfc6c268, receiver=0x8942730, event=0x9ded1690) at kernel/qcoreapplication.cpp:726
#30 0x06a845bc in sendEvent (receiver=0x0, event_type=0, data=0x87e0bf8) at kernel/qcoreapplication.h:215
#31 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x87e0bf8) at kernel/qcoreapplication.cpp:1367
#32 0x06a8473e in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1260
#33 0x06aaa950 in sendPostedEvents (s=0x880d510) at kernel/qcoreapplication.h:220
#34 postEventSourceDispatch (s=0x880d510) at kernel/qeventdispatcher_glib.cpp:276
#35 0x00410525 in g_main_dispatch (context=0x880d490) at gmain.c:1960
#36 IA__g_main_context_dispatch (context=0x880d490) at gmain.c:2513
#37 0x00414268 in g_main_context_iterate (context=0x361490, block=1, dispatch=1, self=0x87e0690) at gmain.c:2591
#38 0x00414449 in IA__g_main_context_iteration (context=0x880d490, may_block=1) at gmain.c:2654
#39 0x06aaa446 in QEventDispatcherGlib::processEvents (this=0x880b050, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#40 0x07618336 in QGuiEventDispatcherGlib::processEvents (this=0x880b050, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#41 0x06a8080a in QEventLoop::processEvents (this=0x893c7e8, flags=...) at kernel/qeventloop.cpp:149
#42 0x06a80b4a in QEventLoop::exec (this=0x893c7e8, flags=...) at kernel/qeventloop.cpp:201
#43 0x082c23ed in Digikam::ScanController::completeCollectionScan (this=0x8942730, splash=0x0) at /usr/src/debug/digikam-1.2.0/digikam/scancontroller.cpp:378
#44 0x080c97da in Digikam::SetupCollectionModel::apply (this=0xc2de7d0) at /usr/src/debug/digikam-1.2.0/utilities/setup/setupcollectionview.cpp:472
#45 0x080c5dde in Digikam::SetupCollections::applySettings (this=0xbdeeb20) at /usr/src/debug/digikam-1.2.0/utilities/setup/setupcollections.cpp:189
#46 0x080d13c3 in Digikam::Setup::slotOkClicked (this=0xc32d740) at /usr/src/debug/digikam-1.2.0/utilities/setup/setup.cpp:373
#47 0x080d1724 in Digikam::Setup::qt_metacall (this=0xc32d740, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfc69c1c)
    at /usr/src/debug/digikam-1.2.0/i686-redhat-linux-gnu/digikam/setup.moc:72
#48 0x06a86bcb in QMetaObject::metacall (object=0xc32d740, cl=QMetaObject::InvokeMetaMethod, idx=75, argv=0xbfc69c1c) at kernel/qmetaobject.cpp:237
#49 0x06a95a75 in QMetaObject::activate (sender=0xc32d740, m=0x844e18c, local_signal_index=9, argv=0x0) at kernel/qobject.cpp:3295
#50 0x02132888 in KDialog::okClicked (this=0xc32d740) at /usr/src/debug/kdelibs-4.4.5/i686-redhat-linux-gnu/kdeui/kdialog.moc:258
#51 0x02134d68 in KDialog::slotButtonClicked (this=0xc32d740, button=4) at /usr/src/debug/kdelibs-4.4.5/kdeui/dialogs/kdialog.cpp:862
#52 0x02136cfc in KDialog::qt_metacall (this=0xc32d740, _c=QMetaObject::InvokeMetaMethod, _id=33, _a=0xbfc69e38) at /usr/src/debug/kdelibs-4.4.5/i686-redhat-linux-gnu/kdeui/kdialog.moc:190
#53 0x021fe2ab in KPageDialog::qt_metacall (this=0xc32d740, _c=QMetaObject::InvokeMetaMethod, _id=69, _a=0xbfc69e38) at /usr/src/debug/kdelibs-4.4.5/i686-redhat-linux-gnu/kdeui/kpagedialog.moc:70
#54 0x080d170d in Digikam::Setup::qt_metacall (this=0xc32d740, _c=QMetaObject::InvokeMetaMethod, _id=69, _a=0xbfc69e38) at /usr/src/debug/digikam-1.2.0/i686-redhat-linux-gnu/digikam/setup.moc:67
#55 0x06a86bcb in QMetaObject::metacall (object=0xc32d740, cl=QMetaObject::InvokeMetaMethod, idx=69, argv=0xbfc69e38) at kernel/qmetaobject.cpp:237
#56 0x06a95a75 in QMetaObject::activate (sender=0xc3190c0, m=0x6b96598, local_signal_index=0, argv=0xbfc69e38) at kernel/qobject.cpp:3295
#57 0x06a994e4 in QSignalMapper::mapped (this=0xc3190c0, _t1=4) at .moc/release-shared/moc_qsignalmapper.cpp:101
#58 0x06a995be in QSignalMapper::map (this=0xc3190c0, sender=0xc01c5f0) at kernel/qsignalmapper.cpp:266
#59 0x06a997af in QSignalMapper::map (this=0xc3190c0) at kernel/qsignalmapper.cpp:257
#60 0x06a9a8eb in QSignalMapper::qt_metacall (this=0xc3190c0, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfc69fd8) at .moc/release-shared/moc_qsignalmapper.cpp:87
#61 0x06a86bcb in QMetaObject::metacall (object=0xc3190c0, cl=QMetaObject::InvokeMetaMethod, idx=8, argv=0xbfc69fd8) at kernel/qmetaobject.cpp:237
#62 0x06a95a75 in QMetaObject::activate (sender=0xc01c5f0, m=0x7e69b64, local_signal_index=2, argv=0xbfc69fd8) at kernel/qobject.cpp:3295
#63 0x07c3229a in QAbstractButton::clicked (this=0xc01c5f0, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#64 0x079435fa in QAbstractButtonPrivate::emitClicked (this=0xd63dc08) at widgets/qabstractbutton.cpp:546
#65 0x07944945 in QAbstractButtonPrivate::click (this=0xd63dc08) at widgets/qabstractbutton.cpp:539
#66 0x07944c0e in QAbstractButton::mouseReleaseEvent (this=0xc01c5f0, e=0xbfc6a720) at widgets/qabstractbutton.cpp:1121
#67 0x075bc61d in QWidget::event (this=0xc01c5f0, event=0xbfc6a720) at kernel/qwidget.cpp:8044
#68 0x0794349f in QAbstractButton::event (this=0xc01c5f0, e=0xbfc6a720) at widgets/qabstractbutton.cpp:1080
#69 0x079e1843 in QPushButton::event (this=0xc01c5f0, e=0xbfc6a720) at widgets/qpushbutton.cpp:679
#70 0x0756977c in QApplicationPrivate::notify_helper (this=0x880b070, receiver=0xc01c5f0, e=0xbfc6a720) at kernel/qapplication.cpp:4306
#71 0x07570d7e in QApplication::notify (this=0xbfc6c268, receiver=0xc01c5f0, e=0xbfc6a720) at kernel/qapplication.cpp:3871
#72 0x021c300b in KApplication::notify (this=0xbfc6c268, receiver=0xc01c5f0, event=0xbfc6a720) at /usr/src/debug/kdelibs-4.4.5/kdeui/kernel/kapplication.cpp:302
#73 0x06a82133 in QCoreApplication::notifyInternal (this=0xbfc6c268, receiver=0xc01c5f0, event=0xbfc6a720) at kernel/qcoreapplication.cpp:726
#74 0x0756fae8 in sendEvent (receiver=0xc01c5f0, event=0xbfc6a720, alienWidget=0xc01c5f0, nativeWidget=0xc315938, buttonDown=0x7e72318, lastMouseReceiver=..., spontaneous=true)
    at ../../src/corelib/kernel/qcoreapplication.h:215
#75 QApplicationPrivate::sendMouseEvent (receiver=0xc01c5f0, event=0xbfc6a720, alienWidget=0xc01c5f0, nativeWidget=0xc315938, buttonDown=0x7e72318, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:2971
#76 0x075ed2f0 in QETWidget::translateMouseEvent (this=0xc315938, event=0xbfc6ac3c) at kernel/qapplication_x11.cpp:4380
#77 0x075ec743 in QApplication::x11ProcessEvent (this=0xbfc6c268, event=0xbfc6ac3c) at kernel/qapplication_x11.cpp:3391
#78 0x0761874a in x11EventSourceDispatch (s=0x880e2a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#79 0x00410525 in g_main_dispatch (context=0x880d490) at gmain.c:1960
#80 IA__g_main_context_dispatch (context=0x880d490) at gmain.c:2513
#81 0x00414268 in g_main_context_iterate (context=0x361490, block=1, dispatch=1, self=0x87e0690) at gmain.c:2591
#82 0x00414449 in IA__g_main_context_iteration (context=0x880d490, may_block=1) at gmain.c:2654
#83 0x06aaa446 in QEventDispatcherGlib::processEvents (this=0x880b050, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#84 0x07618336 in QGuiEventDispatcherGlib::processEvents (this=0x880b050, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#85 0x06a8080a in QEventLoop::processEvents (this=0xbfc6af30, flags=...) at kernel/qeventloop.cpp:149
#86 0x06a80b4a in QEventLoop::exec (this=0xbfc6af30, flags=...) at kernel/qeventloop.cpp:201
#87 0x07a5f4e4 in QDialog::exec (this=0xc32d740) at dialogs/qdialog.cpp:546
#88 0x080d3d51 in Digikam::Setup::exec (parent=0x8dc0d60, page=Digikam::Setup::LastPageUsed) at /usr/src/debug/digikam-1.2.0/utilities/setup/setup.cpp:338
#89 0x0825e0fa in Digikam::DigikamApp::setup (this=0x8dc0d60) at /usr/src/debug/digikam-1.2.0/digikam/digikamapp.cpp:2119
#90 0x0827a7fd in slotSetup (this=0x8dc0d60, _c=QMetaObject::InvokeMetaMethod, _id=28, _a=0xbfc6b0f8) at /usr/src/debug/digikam-1.2.0/digikam/digikamapp.cpp:2114
#91 Digikam::DigikamApp::qt_metacall (this=0x8dc0d60, _c=QMetaObject::InvokeMetaMethod, _id=28, _a=0xbfc6b0f8) at /usr/src/debug/digikam-1.2.0/i686-redhat-linux-gnu/digikam/digikamapp.moc:222
#92 0x06a86bcb in QMetaObject::metacall (object=0x8dc0d60, cl=QMetaObject::InvokeMetaMethod, idx=74, argv=0xbfc6b0f8) at kernel/qmetaobject.cpp:237
#93 0x06a95a75 in QMetaObject::activate (sender=0xa8ef998, m=0x844e490, local_signal_index=1, argv=0xbfc6b0f8) at kernel/qobject.cpp:3295
#94 0x07563e6a in QAction::triggered (this=0xa8ef998, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#95 0x075657fc in QAction::activate (this=0xa8ef998, event=QAction::Trigger) at kernel/qaction.cpp:1255
#96 0x079cd7e0 in QMenuPrivate::activateCausedStack (this=0xa539170, causedStack=..., action=0xa8ef998, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1002
#97 0x079d352b in QMenuPrivate::activateAction (this=0xa539170, action=0xa8ef998, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1094
#98 0x079d436f in QMenu::mouseReleaseEvent (this=0xa2000b0, e=0xbfc6b9a0) at widgets/qmenu.cpp:2312
#99 0x022a6796 in KMenu::mouseReleaseEvent (this=0xa2000b0, e=0xbfc6b9a0) at /usr/src/debug/kdelibs-4.4.5/kdeui/widgets/kmenu.cpp:471
#100 0x075bc61d in QWidget::event (this=0xa2000b0, event=0xbfc6b9a0) at kernel/qwidget.cpp:8044
#101 0x079d596c in QMenu::event (this=0xa2000b0, e=0xbfc6b9a0) at widgets/qmenu.cpp:2421
#102 0x0756977c in QApplicationPrivate::notify_helper (this=0x880b070, receiver=0xa2000b0, e=0xbfc6b9a0) at kernel/qapplication.cpp:4306
#103 0x07570d7e in QApplication::notify (this=0xbfc6c268, receiver=0xa2000b0, e=0xbfc6b9a0) at kernel/qapplication.cpp:3871
#104 0x021c300b in KApplication::notify (this=0xbfc6c268, receiver=0xa2000b0, event=0xbfc6b9a0) at /usr/src/debug/kdelibs-4.4.5/kdeui/kernel/kapplication.cpp:302
#105 0x06a82133 in QCoreApplication::notifyInternal (this=0xbfc6c268, receiver=0xa2000b0, event=0xbfc6b9a0) at kernel/qcoreapplication.cpp:726
#106 0x0756fae8 in sendEvent (receiver=0xa2000b0, event=0xbfc6b9a0, alienWidget=0x0, nativeWidget=0xa2000b0, buttonDown=0x7e72318, lastMouseReceiver=..., spontaneous=true)
    at ../../src/corelib/kernel/qcoreapplication.h:215
#107 QApplicationPrivate::sendMouseEvent (receiver=0xa2000b0, event=0xbfc6b9a0, alienWidget=0x0, nativeWidget=0xa2000b0, buttonDown=0x7e72318, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:2971
#108 0x075ed83a in QETWidget::translateMouseEvent (this=0xa2000b0, event=0xbfc6bebc) at kernel/qapplication_x11.cpp:4314
#109 0x075ec743 in QApplication::x11ProcessEvent (this=0xbfc6c268, event=0xbfc6bebc) at kernel/qapplication_x11.cpp:3391
#110 0x0761874a in x11EventSourceDispatch (s=0x880e2a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#111 0x00410525 in g_main_dispatch (context=0x880d490) at gmain.c:1960
#112 IA__g_main_context_dispatch (context=0x880d490) at gmain.c:2513
#113 0x00414268 in g_main_context_iterate (context=0x361490, block=1, dispatch=1, self=0x87e0690) at gmain.c:2591
#114 0x00414449 in IA__g_main_context_iteration (context=0x880d490, may_block=1) at gmain.c:2654
#115 0x06aaa446 in QEventDispatcherGlib::processEvents (this=0x880b050, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#116 0x07618336 in QGuiEventDispatcherGlib::processEvents (this=0x880b050, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#117 0x06a8080a in QEventLoop::processEvents (this=0xbfc6c1b4, flags=...) at kernel/qeventloop.cpp:149
#118 0x06a80b4a in QEventLoop::exec (this=0xbfc6c1b4, flags=...) at kernel/qeventloop.cpp:201
#119 0x06a84807 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#120 0x07569828 in QApplication::exec () at kernel/qapplication.cpp:3585
#121 0x08346425 in main (argc=3, argv=0xbfc6c6b4) at /usr/src/debug/digikam-1.2.0/digikam/main.cpp:193

Possible duplicates by query: bug 246675, bug 240957.

Reported using DrKonqi
Comment 1 Johannes Wienke 2010-08-10 09:44:15 UTC
Merging with a more recent bug report that contains more information.

*** This bug has been marked as a duplicate of bug 246675 ***
Comment 2 caulier.gilles 2020-08-30 15:45:45 UTC
Fixed with #246675